[openssh-commits] [openssh] 12/16: upstream commit

git+noreply at mindrot.org git+noreply at mindrot.org
Thu Jan 15 22:09:17 EST 2015


This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 6c43b48b307c41cd656b415621a644074579a578
Author: markus at openbsd.org <markus at openbsd.org>
Date:   Wed Jan 14 09:54:38 2015 +0000

    upstream commit
    
    don't reset  to the installed sshd; connect before
     reconfigure, too
---
 regress/reconfigure.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/regress/reconfigure.sh b/regress/reconfigure.sh
index 9fd2895..ba6648b 100644
--- a/regress/reconfigure.sh
+++ b/regress/reconfigure.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: reconfigure.sh,v 1.2 2003/06/21 09:14:05 markus Exp $
+#	$OpenBSD: reconfigure.sh,v 1.3 2015/01/14 09:54:38 markus Exp $
 #	Placed in the Public Domain.
 
 tid="simple connect after reconfigure"
@@ -15,6 +15,14 @@ esac
 
 start_sshd
 
+trace "connect before restart"
+for p in 1 2; do
+	${SSH} -o "Protocol=$p" -F $OBJ/ssh_config somehost true
+	if [ $? -ne 0 ]; then
+		fail "ssh connect with protocol $p failed before reconfigure"
+	fi
+done
+
 PID=`$SUDO cat $PIDFILE`
 rm -f $PIDFILE
 $SUDO kill -HUP $PID
@@ -28,6 +36,7 @@ done
 
 test -f $PIDFILE || fatal "sshd did not restart"
 
+trace "connect after restart"
 for p in 1 2; do
 	${SSH} -o "Protocol=$p" -F $OBJ/ssh_config somehost true
 	if [ $? -ne 0 ]; then

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list